GIT-LS-TREE(1)

NAME
git-ls-tree - Lists the contents of a tree object.

SYNOPSIS
git-ls-tree [-d] [-r] [-t] [-z] [--name-only] [--name-status] <tree-ish> [paths...].sp

DESCRIPTION
Lists the contents of a given tree object, like what "/bin/ls -a" does in the current working directory. Note that the usage is subtly different, though - paths denote just a list of patterns to match, e.g. so specifying directory name (without -r) will behave differently, and order of the arguments does not matter..sp

OPTIONS

<tree-ish>
    Id of a tree-ish.

-d  Show only the named tree entry itself, not its children.

-r  Recurse into sub-trees.

-t  Show tree entries even when going to recurse them. Has no effect if -r was not passed. -d implies -t.

-z  \0 line termination on output.

--name-only , --name-status
    List only filenames (instead of the "long" output), one per line.

paths
    When paths are given, show them (note that this isn't really raw pathnames, but rather a list of patterns to match). Otherwise implicitly uses the root level of the tree as the sole path argument.

OUTPUT FORMAT

<mode> SP <type> SP <object> TAB <file>
When the -z option is not used, TAB, LF, and backslash characters in pathnames are represented as \t, \n, and \\, respectively..sp

AUTHOR
Written by Petr Baudis <pasky@suse.cz> Completely rewritten from scratch by Junio C Hamano <junkio@cox.net>, another major rewrite by Linus Torvalds <torvalds@osdl.org>.sp

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>..sp This manual page is a stub. You can help the git documentation by expanding it..sp

GIT
Part of the git(7) suite.sp